﻿<?php
class View{
	
	// Instance unqiue du manager pourle singleton
	private static $_instance;
	// Controller de la page en cours
	private static $_controller;
	// Action de la page en cours
	private static $_action;
	
	// Affichage de la page à charger
	private static $_layout;
	// Liste des fichiers .js de la page
	private static $_listeJs = array();
		
	/* Constructeur de la vue prenant en paramètres le controller et l'action*/
	private function __construct($controller, $action){
		self::setAction($action);
		self::setController($controller);
		// Le layout est défini par défaut et peut être redéfini plus tard
		self::setLayout("default");
	}

	// Récupération de l'instance de View
	public static function getInstance($controller, $action){
		if(!is_null(self::$_instance)) {
			return self::$_instance;
		}
		else
			return self::$_instance = new View($controller, $action);
	}

	/* Setter de l'action pour la redéfinir à la volée*/
	public function setAction($action){
		self::$_action = $action;
	}

	/* Getter de l'action pour tester l'action en cours*/
	public function getAction(){
		return self::$_action;
	}

	/* Setter du contoller pour le redéfinir à la volée*/
	public function setController($controller){
		self::$_controller = $controller;
	}

	/* Getter du controller pour tester le controller en cours*/
	public function getController(){
		return self::$_controller;
	}

	/* Définit le layout à charger*/
	public function setLayout($layout){
		self::$_layout = $layout;
		// TODO : faire un algo pour pouvoir surcharger le layout défini dans les fichiers view/($Controller).php
		// en en précisant un en paramètre POST
		// if(self::$_layout == null){
			// self::$_layout = $layout;
		// }
	}

	/* Récupère le layout à charger*/
	public function getLayout(){
		return self::$_layout;
	}
	
	/* Intègre une librairie JavaScript à la liste*/
	public function setJs($lib){
		array_push(self::$_listeJs, $lib);
	}
	
	/* Récupère la liste des librairies JavaScript à charger pour la page*/
	public static function getJsList(){
		return self::$_listeJs;
	}
	
	public static function getJsPath($file){
		return WEBROOT."res/js/pages/".$file;
	}

	public static function getJsImport(){
		foreach(View::getJsList() as $import){
			echo '<script language="javascript" type="text/javascript" src="'.View::getJsPath($import).'"></script>';
		}
	}
	
	/* Récupère le contenu d'une page pour un controller et une action précise*/
	public function render($controller, $action){
		if(file_exists('views/'.$controller.'/'.$action.'.ctn'))
			require('views/'.$controller.'/'.$action.'.ctn');
		else
			throw new Exception("Render impossible, contenu inaccessible.");
	}
	
	public static function manageDebug(){
		if(Manager::getConf('debug')=='1' && Manager::getConf('profile')=='admin'){
			require(ROOT.'views/components/debug.php');
		}
	}
}
?>