DROP TABLE IF EXISTS vendeur;
CREATE TABLE vendeur(
	id_vendeur SERIAL NOT NULL,
	nom_vendeur text,
	prenom_vendeur text,
	CONSTRAINT "PK_id_vendeur" PRIMARY KEY(id_vendeur)
);

INSERT INTO vendeur VALUES (1,'Giles',' Durand');
INSERT INTO vendeur VALUES (2,'Bernard','Figuier');
INSERT INTO vendeur VALUES (3,'Norbert','Dudule');
INSERT INTO vendeur VALUES (4,'Mickael','Jackson');
INSERT INTO vendeur VALUES (5,'Hissler','Even');

DROP TABLE IF EXISTS compte;
CREATE TABLE compte(
	id_compte SERIAL NOT NULL,
	id_vendeur INTEGER NOT NULL REFERENCES vendeur(id_vendeur),
	nom_compte TEXT,
	adresse_compte TEXT,
	CP_compte INTEGER,
	ville_compte text,
	telephone_compte text,
	insee TEXT,
	coordonnees TEXT,
	id_planning INTEGER,
	CONSTRAINT "PK_id_compte" PRIMARY KEY(id_compte)
);

INSERT INTO compte VALUES(1,1,'agriculteur','56 route du pont',57000,'Metz','0387363636','321654987321654','49.117984,6.173358',1);
INSERT INTO compte VALUES(2,2,'professionnel','45 rue Lefargue',57000,'Metz','0387251459','963852741963852','49.120203,6.165773',1);
INSERT INTO compte VALUES(3,2,'personnel','124 blv Garnier',57000,'Metz','0387639514','963852741963852','49.124086,6.183499',1);
INSERT INTO compte VALUES(4,3,'viticulteur','56 rue Blandier',57000,'Metz','0387168759','147258369147258','49.117282,6.198599',1);
INSERT INTO compte VALUES(5,4,'artiste','3 rue des champs',57000,'Metz','0387564512','987654321987654','49.107197,6.192462',1);
INSERT INTO compte VALUES(6,5,'librairie','5 rue Lamalgue',57000,'Metz','0387368615','123456789123456','49.100791,6.197011',1);

DROP TABLE IF EXISTS vitrine;
CREATE TABLE vitrine(
	id_vitrine serial NOT NULL,
	nom TEXT,
	actif BOOLEAN NOT NULL DEFAULT FALSE,
	id_compte integer NOT NULL REFERENCES compte(id_compte),
	CONSTRAINT "PK_id_vitrine" PRIMARY KEY(id_vitrine)
);

INSERT INTO vitrine VALUES(1,'viandes',TRUE,1);
INSERT INTO vitrine VALUES(2,'printemps',TRUE,4);
INSERT INTO vitrine VALUES(3,'été',FALSE,4);
INSERT INTO vitrine VALUES(4,'bio',TRUE,2);
INSERT INTO vitrine VALUES(5,'chansons',TRUE,5);
INSERT INTO vitrine VALUES(6,'mes dessins',TRUE,3);
INSERT INTO vitrine VALUES(7,'livres',TRUE,6);

DROP TABLE IF EXISTS unite;
CREATE TABLE unite(
	nom_unite TEXT,
	code TEXT,
	CONSTRAINT "PK_nom_unite" PRIMARY KEY(nom_unite)	
);

INSERT INTO unite VALUES('kilo','kg');
INSERT INTO unite VALUES('litre','l');
INSERT INTO unite VALUES('100gr','100gr');
INSERT INTO unite VALUES('gramme','gr');
INSERT INTO unite VALUES('botte','bt');
INSERT INTO unite VALUES('bouteille','btl');
INSERT INTO unite VALUES('caisse','caisse');
INSERT INTO unite VALUES('piece','pièce');

DROP TABLE IF EXISTS article;
CREATE TABLE article(
	id_article serial NOT NULL,
	nom TEXT,
	prix real,
	media TEXT,
	description TEXT,
	nom_unite TEXT REFERENCES unite(nom_unite),
	id_vitrine integer REFERENCES vitrine(id_vitrine),
	CONSTRAINT "PK_id_article" PRIMARY KEY (id_article)
);

INSERT INTO article VALUES(1,'steak',5.35,'viande.jpg','steak de hampe boeuf origine France','kilo',1);
INSERT INTO article VALUES(2,'Bordeaux',15.40,'bordeaux.jpg','année 2005 domaine du merveux','bouteille',4);
INSERT INTO article VALUES(3,'Hamlett',5.50,'hamlett.jpg','de Shaespear, Edition de poche','piece',7);
INSERT INTO article VALUES(4,'Beat it',1.00,'beatit.mp3','Chanson de 1982 très sympa sur la violence','piece',5);
INSERT INTO article VALUES(5,'viande hachée',3.50,'viandehachee.jpg','viande hachée avec 10% matières grasses','kilo',1);
INSERT INTO article VALUES(6,'gravure',150.00,'video.avi','venus sur le couchant','piece',6);
INSERT INTO article VALUES(7,'concombre',3.65,'concombre.jpg','calibre 2, lot de 5','botte',2);
INSERT INTO article VALUES(8,'poires',1.56,'poire.jpg','Poire Williams, calibre 1, origine france, cilture bio','kilo',3);
INSERT INTO article VALUES(9,'cerises',2.52,'cerise.avi','Cerise griotte, origine France','kilo',3);
INSERT INTO article VALUES(10,'foie gras',8.95,'bloc.jpg','Foie gras mi-cuit','100gr',1);
INSERT INTO article VALUES(11,'bad',1.00,'bad.mp3','Chanson de l album du même nom','piece',5);

DROP TABLE IF EXISTS promotion;
CREATE TABLE promotion(
	id_promotion serial NOT NULL,
	nom TEXT,
	description TEXT,
	date_debut DATE,
	date_fin DATE,
	id_vitrine INTEGER REFERENCES vitrine(id_vitrine),
	CONSTRAINT "PK_id_promotion" PRIMARY KEY(id_promotion)
);

INSERT INTO promotion VALUES(1,'-20% sur les vins de bordeaux','pour un lot de 6 bouteilles acheté, 2 bouteilles offertes','01/03/2013','15/03/2013',4);
